<?php
/**
* ÈóÀ°¿ôÎã³°
*
* PHP version 5
*
* @package    exceptions
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class NonIntegerException extends CharcoalException
{
	public function __construct( $object = NULL )
	{
		$msg = "";
		if ( $object != NULL ){
			$msg .= " [object type]" . gettype($object);
			$msg .= " [class type]" . get_class($object);
		}
		parent::__construct( $msg );

		ExceptionStack::push( $this );
	}

}


return __FILE__;